Summary: stylesheets for use at Cygnus, in particular with docbook.
name: stylesheets
%define version 0.5
%define release 6
version: %{version}
release: %{release}
vendor: Cygnus Solutions
Distribution: Cygnus UNSUPPORTED Internal SGML Tools
requires: sgml-common
source: stylesheets.tgz
Copyright: Mark Eichin, Cygnus Solutions; Mark Burton (markb@ordern.com); Mark Galassi (Cygnus Solutions) for dbtohtml.dsl; Jon Bosak, Sun Microsystems for bosak-db3 and docbook.dsl, norm@berkshire.net for the nwalsh-modular/ hierarchy; Mark Galassi (Cygnus Solutions) for cygnus-both.dsl: contains Cygnus customizations for the DocBook modular stylesheets.
Group: Utilities/Text
BuildRoot: /tmp/stylesheetsroot
%define sgmlbase /usr

%description
  stylesheets is a collection of stylesheets used at Cygnus for SGML 
  conversion.  The stylesheets themselves are in /usr/lib/sgml/stylesheets.
  experimental entries are added to the catalog.  Some simple scripts are
  included to facilitate using the stylesheets.  These stylesheets are
  almost entirely the work of Norm Walsh (norm@nwalsh.com).  Version
  0.5 tracks Norm's 1.18 stylesheets.

%prep
%setup -c

%build
echo "nothing to build"

%install
mkdir -p $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/stylesheets
mkdir -p $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/stylesheets/nwalsh-modular
mkdir -p $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/stylesheets/nwalsh-modular/common
mkdir -p $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/stylesheets/nwalsh-modular/html
mkdir -p $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/stylesheets/nwalsh-modular/lib
mkdir -p $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/stylesheets/nwalsh-modular/print
mkdir -p $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/stylesheets/nwalsh-modular/test
mkdir -p $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/stylesheets/nwalsh-modular/images
mkdir -p $RPM_BUILD_ROOT%{sgmlbase}/bin
install stylesheets/*.cat $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/
install stylesheets/*.dsl $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/stylesheets/
install stylesheets/nwalsh-modular/common/*.dsl $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/stylesheets/nwalsh-modular/common/
install stylesheets/nwalsh-modular/common/*.ent $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/stylesheets/nwalsh-modular/common/
install stylesheets/nwalsh-modular/html/*.dsl $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/stylesheets/nwalsh-modular/html/
install stylesheets/nwalsh-modular/lib/*.dsl $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/stylesheets/nwalsh-modular/lib/
install stylesheets/nwalsh-modular/print/*.dsl $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/stylesheets/nwalsh-modular/print/
install stylesheets/nwalsh-modular/test/*.sgm $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/stylesheets/nwalsh-modular/test/
install stylesheets/nwalsh-modular/test/*.dsl $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/stylesheets/nwalsh-modular/test/
install stylesheets/nwalsh-modular/test/*.css $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/stylesheets/nwalsh-modular/test/
install stylesheets/nwalsh-modular/images/*.gif $RPM_BUILD_ROOT%{sgmlbase}/lib/sgml/stylesheets/nwalsh-modular/images/
for i in stylesheets/*.sh; do
  j=$(basename $i .sh)
  install $i $RPM_BUILD_ROOT%{sgmlbase}/bin/$j
done

%post
# since old-postun is run *after* new-post, we must always cycle.
V=%{version}-%{release}
install-catalog --install stylesheets --version $V

%postun
# since old-postun is run *after* new-post, we must always cycle.
V=%{version}-%{release}
install-catalog --remove stylesheets --version $V

%files
%attr(- root root) %{sgmlbase}/lib/sgml/stylesheets/*
# %attr(- root root) %{sgmlbase}/lib/sgml/stylesheets/nwalsh-modular/*
%attr(- root root) %{sgmlbase}/lib/sgml/stylesheets.cat
%attr(- root root) %{sgmlbase}/bin/*
